<?php
set_time_limit(99999);
error_reporting(0);
include_once("include/pChart/pChart/pData.class");
include_once("include/pChart/pChart/pChart.class");
include_once('modules/EcmCharts/helperChart.php');

$year=$_REQUEST['year'];
$category=$_REQUEST['category'];
if(count($category)==0)$category=array("cat");
$account=$_REQUEST['account'];
$sh=$_REQUEST['show'];
$ar=array();
foreach($category as $cat){
	if(in_array("margin",$sh))$ar[]=generateImgChartProducts($cat,$year,$account,array("margin"));
	foreach($sh as $ssh){
		if($ssh!="margin")$shh[]=$ssh;
	}
	$ar[]=generateImgChartProducts($cat,$year,$account,$shh);
}

foreach($ar as $a){
	echo '<img src="modules/EcmCharts/files/'.$a.'.png"><br>';
}

?>